Loading...
Searching...
No Matches
tdrdi.h File Reference
libavutil » Video related » 3D Reference Displays Information

Spherical video. More...

`#include <stddef.h>`
`#include <stdint.h>`
`#include "libavutil/avassert.h"`

Go to the source code of this file.

## Data Structures

struct | AV3DReferenceDisplaysInfo
| This structure describes information about the reference display width(s) and reference viewing distance(s) as well as information about the corresponding reference stereo pair(s). More...
struct | AV3DReferenceDisplay
| Data structure for single deference display information. More...

## Macros

#define | AV_TDRDI_MAX_NUM_REF_DISPLAY 32

## Functions

static av_always_inline AV3DReferenceDisplay * | av_tdrdi_get_display (AV3DReferenceDisplaysInfo *tdrdi, unsigned int idx)
AV3DReferenceDisplaysInfo * | av_tdrdi_alloc (unsigned int nb_displays, size_t *size)
| Allocate a AV3DReferenceDisplaysInfo structure and initialize its fields to default values.

## Detailed Description

Spherical video.

Definition in file tdrdi.h.